MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027475Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-05-06 14:562016-12-09 16:37
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027475: Incomplete direction for Powell method in math_GlobOptMin
DescriptionAccording to the Powell method notation it should use non-degenerated system of directions for correct search.

Currently in math_GlobOptMin.cxx incomplete and degenerated directions are used.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0053890)
git (administrator)
2016-05-06 14:58

Branch CR27475 has been created by aml.

SHA-1: db4bade17f4263583fefd0555e43530c1efc1c3c


Detailed log of new commits:

Author: aml
Date: Fri May 6 14:57:20 2016 +0300

    0027475: Incomplete direction for Powell method in math_GlobOptMin
    
    Directions are changed to be valid orthogonal set.
(0053891)
aml (developer)
2016-05-06 14:58

Dear msv,
Please check current state of the CR27475 branch.
(0053893)
msv (developer)
2016-05-06 15:46

Reviewed.
(0053961)
mkv (tester)
2016-05-10 17:10

Dear BugMaster,
Branch CR27475 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: db4bade17f4263583fefd0555e43530c1efc1c3c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 72 (72 on master)
Windows: 4 (4 on master)
MacOS : 1129

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 87808465 / 87476167 [+0.38%]
Total CPU difference: 19376.890000000185 / 19371.220000000183 [+0.03%]
products component :
Total MEMORY difference: 27817931 / 27830579 [-0.05%]
Total CPU difference: 5329.289999999993 / 5343.229999999986 [-0.26%]

Testing on Windows:
occt component :
Total MEMORY difference: 55525215 / 55549122 [-0.04%]
Total CPU difference: 18339.898762698755 / 18280.618382698816 [+0.32%]
products component :
Total MEMORY difference: 18922503 / 18891436 [+0.16%]
Total CPU difference: 5071.76411109995 / 5013.591338199941 [+1.16%]

There are no differences in images found by testdiff.
(0053962)
mkv (tester)
2016-05-10 17:11

Dear BugMaster,
Branch CR27475 is TESTED.
(0054185)
git (administrator)
2016-05-20 12:21

Branch CR27475 has been deleted by inv.

SHA-1: db4bade17f4263583fefd0555e43530c1efc1c3c

- Related Changesets
occt: master aa1b48c7
Timestamp: 2016-05-06 11:57:20
Author: aml
Committer: bugmaster
Details ] Diff ]
0027475: Incomplete direction for Powell method in math_GlobOptMin

Directions are changed to be valid orthogonal set.
mod - src/math/math_GlobOptMin.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-06 14:56 aml New Issue
2016-05-06 14:56 aml Assigned To => aml
2016-05-06 14:58 git Note Added: 0053890
2016-05-06 14:58 aml Note Added: 0053891
2016-05-06 14:58 aml Assigned To aml => msv
2016-05-06 14:58 aml Status new => resolved
2016-05-06 14:58 aml Steps to Reproduce Updated View Revisions
2016-05-06 15:46 msv Note Added: 0053893
2016-05-06 15:46 msv Assigned To msv => bugmaster
2016-05-06 15:46 msv Status resolved => reviewed
2016-05-06 15:50 mkv Assigned To bugmaster => mkv
2016-05-10 17:10 mkv Note Added: 0053961
2016-05-10 17:11 mkv Note Added: 0053962
2016-05-10 17:11 mkv Assigned To mkv => bugmaster
2016-05-10 17:11 mkv Status reviewed => tested
2016-05-10 17:11 mkv Test case number => Not needed
2016-05-13 12:41 bugmaster Changeset attached => occt master aa1b48c7
2016-05-13 12:41 bugmaster Status tested => verified
2016-05-13 12:41 bugmaster Resolution open => fixed
2016-05-20 12:21 git Note Added: 0054185
2016-12-09 16:33 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker